<div *ngIf="domains">
  <mat-accordion *ngIf="domains.available.length">
    <mat-expansion-panel
      hideToggle
      [expanded]="availableIsOpened"
      (closed)="availableIsOpened = false"
    >
      <mat-expansion-panel-header>
        <mat-panel-title> Available </mat-panel-title>
      </mat-expansion-panel-header>
      <div class="container">
        <mat-list role="list" class="results">
          <ng-container>
            <app-list-item
              [domains]="domains.available"
              subheader="Available"
              (triggerAddToScratchboard)="addToScratchboard($event)"
            ></app-list-item>
          </ng-container>
        </mat-list>
      </div>
    </mat-expansion-panel>
    <mat-expansion-panel
      hideToggle
      [expanded]="!availableIsOpened"
      (closed)="availableIsOpened = true"
    >
      <mat-expansion-panel-header>
        <mat-panel-title> Taken </mat-panel-title>
      </mat-expansion-panel-header>
      <div class="container">
        <mat-list role="list" class="results">
          <ng-container>
            <app-list-item
              [domains]="domains.taken"
              subheader="Taken"
              (triggerAddToScratchboard)="addToScratchboard($event)"
            ></app-list-item>
          </ng-container>
        </mat-list>
      </div>
    </mat-expansion-panel>
  </mat-accordion>
</div>
